<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Chapter&nbsp;3.&nbsp;: Beyond the present demo</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20080725;15280900">
	<META NAME="CHANGEDBY" CONTENT="Vincent Mahe">
	<META NAME="CHANGED" CONTENT="20080725;15280900">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H3 { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Roman No9 L", serif }
		H1.cjk { font-family: "Nimbus Sans L" }
		H1.ctl { font-family: "Lucidasans" }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" BGCOLOR="#ffffff" DIR="LTR">
<H1 CLASS="western">Chapter&nbsp;3.&nbsp;: Beyond the present demo</H1>
<P>We encourage you go further this basic presentation of OpenEmbeDD
platform abilities.</P>
<H3 LANG="en">Play with the demo</H3>
<UL TYPE=DISC>
	<LI><P LANG="en">The input UML2 model of the demo is a common
	situation, designed to present in a simple and understandable way
	the concepts. You may use the Topcased UML2 graphical editor to
	draft more complex models about your own domain and see the results.</P>
</UL>
<P LANG="en">We propose you define a better UML model for the
example, where orders have order lines, and customers are related to
a town:</P>
<P LANG="en"><IMG SRC="../img/topcased_diagram_example2.png" NAME="graphics16" ALIGN=LEFT WIDTH=684 HEIGHT=435 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<UL TYPE=DISC>
	<LI VALUE=1><P LANG="en">The ATL transformation embodies only few
	elements of UML2 and Common Warehouse Metamodel. You may try to
	enhance the transformation to give more realism to the database
	output model.</P>
	<LI><P LANG="en">The database management simulator has been writen
	to give a first and tight access to the tables. As the Kermeta code
	of the simulator is given, feel free to extends its functionnalities
	and test the ease you could use OpenEmbeDD for your own goals.</P>
</UL>
<H3 LANG="en">Some possible extensions of the chain</H3>
<P LANG="en">For the purpose of incoming points, imagine the demo
tool chain is complete, with deep treatment of constraints and a
powerful database simulator. Then the data processed in this chain
can be use for other works looking forehead the aimed information
system.</P>
<UL TYPE=DISC>
	<LI><P LANG="en">Once the input UML2 model relevance has been
	validate through the database simulator, it could be use to generate
	the application code, giving the core part of the system.</P>
	<LI><P LANG="en">It can be possible to embed database technical
	skills about structures and indexation to optimize performances of
	the targetted RDBMS, processing the CWM model in order to produce
	the SQL code for create the real database in the most efficient way.</P>
</UL>
<P LANG="en" ALIGN=CENTER><IMG SRC="../img/schema2.png" NAME="graphics39" ALIGN=BOTTOM WIDTH=529 HEIGHT=418 BORDER=0></P>
<P LANG="en" ALIGN=CENTER>A more sophisticated modelling chain</P>
</BODY>
</HTML>